﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private mTarget As Object
	Private mEventName As String
	
	Private mClock As AnalogClock
	
	Private mColor As Int
End Sub

	
'This module must have,whenever you have created the custom view.
Public Sub Initialize (TargetModule As Object, EventName As String)
	mTarget = TargetModule
	mEventName = EventName
	
	mClock.Initialize("mClock")
End Sub

'This module must have,whenever you have created the custom view.
Public Sub DesignerCreateView(Base As Panel, Lbl As Label, Props As Map)
	Base.AddView(mClock, 0, 0, Base.Width, Base.Height)
End Sub

Public Sub setColor(pColor As Int)
	mColor = pColor
	mClock.Color = mColor
End Sub
Public Sub getColor As Int
	Return mColor
End Sub